#ifndef _RNGXX_H
#define _RNGXX_H

#ifndef _RNGXX_IMPL
#define _RNGXX_COMMON_MINIMAL
#endif
#include "rngxx/internal/common.h"
#ifndef _RNGXX_IMPL
#undef _RNGXX_COMMON_MINIMAL
#endif

#ifdef __cplusplus
extern "C" {
#endif

typedef struct Random rng_t;

enum rng_kind {
	RNG_KIND_CRAND,
};

extern rng_t* rng_new(enum rng_kind kind, u64 seed[static restrict 1]);

#ifdef __cplusplus
}
#endif

#endif /* _RNGXX_H */
