#include <rngxx.hpp>
#include <rngxx/crand.h>

#include <rngxx.h>

extern "C" {
	//TODO: Make these C++ compiled ones intermediate, so the C interface used here can be used. use internal linkage for the C++ intermediates
	rng_t* rng_new(rng_kind kind, u64 seed[static restrict 1])
	{
		switch(kind)
		{
			case RNG_KIND_CRAND:
				return new rng::crand(seed[0]); 
			default: return NULL;
		}
	}
}
